package md

type CanalServiceAwardDividendRelation struct {
	Id             string `json:"id"`
	Uid            string `json:"uid"`
	ParentUid      string `json:"parent_uid"`
	BindUid        string `json:"bind_uid"`
	VipLevel       string `json:"vip_level"`
	AllocationNums string `json:"allocation_nums"`
	RegionId       string `json:"region_id"`
	CreateAt       string `json:"create_at"`
	UpdateAt       string `json:"update_at"`
}

type CanalServiceAwardDividendRelationMessage[T any] struct {
	Data     []T    `json:"data"`
	Database string `json:"database"`
	ES       int64  `json:"es"`
	ID       int64  `json:"id"`
	IsDdl    bool   `json:"isDdl"`
	Old      []struct {
		VipLevel string `json:"vip_level"`
		UpdateAt string `json:"update_at"`
	} `json:"old"`
	PkNames []string `json:"pkNames"`
	Table   string   `json:"table"`
	TS      int64    `json:"ts"`
	Type    string   `json:"type"`
}
